<template>
  <a-modal :open="dialogFormVisible" :title="currentObjectName + '督查填报'" :footer="null" width="100%" @cancel="closeDialog">
    <a-layout>
      <a-layout-content id="dxdcListMain">
        <a-tabs v-model="currentViewId" type="card" @tabClick="tabIndexChange">
          <a-tab-pane v-for="option in options" :key="option.label" :tab="option.label">
            <component
              ref="myC"
              :is="option.value"
              :currentObjectRgstrId="currentObjectRgstrId"
              :currentObjectName="currentObjectName"
              :currentResCode="currentResCode"
              :currentObjectId="currentObjectId"
              :activeLabel="activeLabel"
              :pType="pType"
              :rowData="rowData"
              :inspType="inspType"
              :id="id"
              :openType="openType"
              :chkType="chkType"
              :type="currentType"
              :labelList="signatureLabelList"
              @cancelHandler="cancelHandler"
              @cancelHandler1="cancelHandler1"
              @addShuiKuSuccess="addShuiKuSuccess"></component>
          </a-tab-pane>
        </a-tabs>
      </a-layout-content>
    </a-layout>
  </a-modal>
</template>

<script>
import { getrgstrIdObject } from '../../api/duChaTianBao';
import request from '../../utils/gw_ajax_request';
import { optionsForJiangxiHeHuWeiShi } from './hehuweishi/forDifferentProvince.js';
import jichuxinxi from './ncgsgc/jichuxinxi.vue';
import problemList from './ncgsgcProblemList.vue';

export default {
  components: {
    jichuxinxi: jichuxinxi,
    problemList: problemList,
  },
  props: [
    'id',
    'rowData',
    'currentObjectRgstrId',
    'currentResCode',
    'currentObjectId',
    'currentObjectName',
    'pType',
    'inspType',
    'openType',
    'type',
    'chkType',
  ],
  data() {
    return {
      options: [
        {
          label: '基础信息纠错',
          value: 'jichuxinxi',
        },
        {
          label: '问题清单',
          value: 'problemList',
        },
      ],
      value: '',
      currentType: '',
      dialogShow: false,
      currentViewId: '基础信息纠错',
      dialogFormVisible: true,
      activeLabel: '',
      signatureLabelList: ['行政责任人', '技术责任人', '巡查责任人'],
    };
  },
  computed: {
    persId() {
      return localStorage.getItem('persId')
        ? localStorage.getItem('persId')
        : '1098101939614724096';
    },
    currentRlcode() {
      return localStorage.getItem('currentRlcode')
        ? localStorage.getItem('currentRlcode')
        : '';
    },
  },
  mounted() {
    this.currentType = this.type;
  },
  created() {},
  methods: {
    submitHandler() {
      getrgstrIdObject(this.rowData.code, this.rowData.objId).then((res) => {
        if (res.data.baseStat == '0') {
          this.$message.warning('请填写重点环节落实情况！');
          return;
        } else if (res.data.presStat == '0') {
          this.$message.warning('请填写责任人状态！');
          return;
        } else if (res.data.resRunStat == '0') {
          this.$message.warning('请填写水库工程实体和运行管理情况！');
          return;
        } else if (res.data.viewStat == '0') {
          this.$message.warning('走访用户状态！');
          return;
        }
        this.$confirm({
          title: '提示',
          content: '请确认所有信息填报完毕？',
          okType: 'warning',
          onOk: () => {
            const formObj = {
              rgstrId: this.currentObjectRgstrId,
              state: '2',
            };
            request.post('/dc/insp/rsvrRgstr/update', formObj).then((res) => {
              if (res.success) {
                this.$emit('addShuiKuSuccess');
                this.$message.success('提交成功');
              } else {
                this.$emit('cancelHandler');
              }
            });
          },
        });
      });
    },
    closeHandler() {
      this.dialogShow = false;
      this.$emit('addShuiKuSuccess');
    },
    appearDialog(type) {
      this.dialogShow = true;
      // this.problemSmallType = type
    },
    closePDialog() {
      this.dialogShow = false;
    },
    showDialog() {
      this.dialogFormVisible = true;
    },
    cancelHandler(val) {
      this.$emit('cancelHandler');
    },
    cancelHandler1(val) {
      this.currentType = val;
      this.$emit('cancelHandler1');
    },
    addShuiKuSuccess() {
      this.$emit('addShuiKuSuccess');
    },
    closeDialog() {
      this.$confirm({
        title: '提示',
        content: '请确认所有信息填报完毕？',
        okType: 'warning',
        onOk: () => {
          this.$emit('cancelHandler');
        },
      });
    },
    tabIndexChange(item) {
      // this.$refs.myC[1].refresh(this.currentType)
      if (item == '问题清单') {
        this.activeLabel = item;
      } else {
        this.activeLabel = '';
      }
    },
  },
};
</script>

<style lang='less' scoped>
:deep(.ant-modal) {
  top: 0;
}
</style>
